Bug 518834 - SELinux is preventing gconfd-2 (xdm_t) "read write" xdm_dbusd_t
Summary: SELinux is preventing gconfd-2 (xdm_t) "read write" xdm_dbusd_t
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2
Version: 11
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 14:16 UTC by faith
Modified: 2010-06-28 14:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:15:02 UTC


Attachments (Terms of Use)

Description faith 2009-08-23 14:16:16 UTC
Description of problem:  SELinux is preventing gconfd-2 (xdm_t) "read write" xdm_dbusd_t


Version-Release number of selected component (if applicable):


How reproducible:  not sure; I believe while using FF/T-bird


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  

SELinux is preventing gconfd-2 (xdm_t) "read write" xdm_dbusd_t.

Detailed Description:

SELinux denied access requested by gconfd-2. It is not expected that this access
is required by gconfd-2 and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        gconfd-2
Source Path                   /usr/libexec/gconfd-2
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           GConf2-2.26.2-1.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-72.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.29.6-217.2.8.fc11.i586 #1 SMP Sat Aug 15
                              00:44:39 EDT 2009 i686 i686
Alert Count                   52
First Seen                    Thu 28 May 2009 10:19:09 PM EDT
Last Seen                     Thu 20 Aug 2009 11:06:57 PM EDT
Local ID                      00fd7bcd-fadb-427b-a44b-01e8c721857d
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1250824017.265:12): avc:  denied  { read write } for  pid=2919 comm="gconfd-2" path="socket:[19208]" dev=sockfs ino=19208 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tclass=tcp_socket

node=localhost.localdomain type=SYSCALL msg=audit(1250824017.265:12): arch=40000003 syscall=11 success=yes exit=0 a0=14d2ec0 a1=14d02b8 a2=14cffd0 a3=14ceec0 items=0 ppid=2918 pid=2919 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm="gconfd-2" exe="/usr/libexec/gconfd-2" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Comment 1 Christopher Aillon 2009-08-24 17:45:20 UTC
Why on earth do you think this is a firefox bug?  SELinux, not firefox, is preventing gconfd-2, not firefox, from doing something.  The output even tells you what package to file the bug against:

Source RPM Packages           GConf2-2.26.2-1.fc11

Over to GConf2

Comment 2 faith 2009-08-28 13:01:21 UTC
I never said I thought it was a FF bug; only that I had FF & T-bird open when it happened.  Are you saying I need to do something here(?), or you already did it?

Comment 3 faith 2009-09-15 23:35:58 UTC
somebody ... anybody (hopefully somebody nice to those new to Fedora)?  what happened to assistance with this 'bug'?  thanks ...

Comment 4 Bug Zapper 2010-04-28 09:54:34 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:15:02 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.